apiVersion: v1
kind: Service

metadata:
  name: smtp
spec:
  ports:
  - name: smtp
    protocol: TCP
    port: 25
  - name: submission
    protocol: TCP
    port: 587
  - name: submissions
    protocol: TCP
    port: 465

  - name: proxy-smtp
    protocol: TCP
    port: 1025
  - name: proxy-submission
    protocol: TCP
    port: 1587
  - name: proxy-submissions
    protocol: TCP
    port: 1465
  selector:
    app.kubernetes.io/name: postfix
    app.kubernetes.io/component: mta
